invalid byte-sequence for encoding utf8 when importing facts

11/12/2013 09:24 AM - Dennis Benndorf

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When importing hosts and facts in foreman 1.3.1 with

foreman-rake puppet:import:hosts_and_facts

 I get the following error message:

rake aborted!

PG::CharacterNotInRepertoire: FEHLER:  ungültige Byte-Sequenz für Kodierung »UTF8«: 0xe46973

: INSERT INTO "fact_values" ("created_at", "fact_name_id", "host_id", "updated_at", "value") VALUE

S ($1, $2, $3, $4, $5) RETURNING "id" 

 All other hosts are imported correctly, but this one. It is the only Windows-Server in this setup.

Related issues:

Related to Foreman - Bug #1560: Foreman and windows-1250 encoding (puppet facts) Resolved 03/30/2012

History

#1 - 11/12/2013 09:27 AM - Dominic Cleal

- Subject changed from invalid byte-sequence for encoding utf8 to invalid byte-sequence for encoding utf8 when importing facts

- Category set to Facts

#2 - 01/31/2014 01:32 PM - Dennis Benndorf

This bug does affects all Windows-Servers we have, so having one Windows in Puppet blocks importing Facts into Foreman. Rake aborts importing

all server which follow in the list!

#3 - 02/06/2014 09:31 AM - Dennis Benndorf

The Problem seems to be the same as Bug #1560 "Foreman and windows-1250 encoding (puppet facts)".

There is an umlaut in a time fact "Mitteleuropäische Zeit".

#4 - 02/14/2015 06:55 AM - Markus Frosch

- Related to Bug #1560: Foreman and windows-1250 encoding (puppet facts) added

#5 - 02/14/2015 07:05 AM - Markus Frosch

This PR should fix it, but it is only in master until now:

https://github.com/theforeman/puppet-foreman/pull/274

#6 - 02/16/2015 03:32 AM - Dominic Cleal

- Status changed from New to Feedback

It'll be in Foreman 1.8.

#7 - 05/17/2017 09:51 AM - Anonymous
https://projects.theforeman.org/issues/1560
https://github.com/theforeman/puppet-foreman/pull/274


- Status changed from Feedback to Resolved
